org.apache.lucene.analysis.ja

## Class JapaneseKatakanaStemFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.ja.JapaneseKatakanaStemFilterFactory

    public class JapaneseKatakanaStemFilterFactory
    extends TokenFilterFactory

Factory for `JapaneseKatakanaStemFilterFactory`.

     <fieldType name="text_ja" class="solr.TextField">
       <analyzer>
         <tokenizer class="solr.JapaneseTokenizerFactory"/>
         <filter class="solr.JapaneseKatakanaStemFilterFactory"
                 minimumLength="4"/>
       </analyzer>
     </fieldType>

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`JapaneseKatakanaStemFilterFactory()`

### Method Summary

Methods
`TokenStream` `create(TokenStream input)`
`void` `init(Map<String,String> args)`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JapaneseKatakanaStemFilterFactory

    public JapaneseKatakanaStemFilterFactory()

### Method Detail

#### init

    public void init(Map<String,String> args)

Overrides:
  `init` in class `AbstractAnalysisFactory`

#### create

    public TokenStream create(TokenStream input)

Specified by:
  `create` in class `TokenFilterFactory`